漏洞详情: CVE-2011-0719

漏洞标题
NVD 暂无描述信息
来源:NVD
Samba 'FD_SET'内存破坏漏洞
来源:CNNVD
漏洞描述
Samba 3.x before 3.3.15, 3.4.x before 3.4.12, and 3.5.x before 3.5.7 does not perform range checks for file descriptors before use of the FD_SET macro, which allows remote attackers to cause a denial of service (stack memory corruption, and infinite loop or daemon crash) by opening a large number of files, related to (1) Winbind or (2) smbd.
来源:NVD
Samba是Samba团队开发的一套可使UNIX系列的操作系统与微软Windows操作系统的SMB/CIFS网络协议做连结的自由软件。该软件支持共享打印机、互相传输资料文件等。 Samba 3.3.15之前的3.x版本,3.4.12之前的3.4.x版本,3.5.7之前的3.5.x版本在使用FD_SET宏之前没有对文件描述符执行范围检查。远程攻击者可通过打开超大量文件导致拒绝服务(栈内存破坏,无限循环或守护进程崩溃)。
来源:CNNVD
SMB 3.x 在3.3.15之前、3.4.x 在3.4.12之前和3.5.x 在3.5.7之前版本的Samba不执行文件句柄范围检查,在FD_SET宏的使用之前,这允许远程攻击者通过打开大量与(1)Winbind或(2) smbd相关的文件,导致服务拒绝(栈内存 corruption,无限循环或守护进程崩溃)。
来源:神龙机器人
漏洞评分(CVSS)
NVD 暂无评分
来源:NVD
CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
来源:神龙机器人, 准确率:N/A
漏洞类别
NVD 暂无漏洞类别信息
来源:NVD
授权问题
来源:CNNVD
相关链接